SELECT
    magic_ds_id,
    magicDSRun.state,
    magicDSRun.outroot,
    camera
FROM magicDSRun 
    JOIN magicRun USING(magic_id)
    JOIN rawExp USING(exp_id)
WHERE magicDSRun.state = 'goto_cleaned'
-- XXX: need to add fault to magicDSRun
--    AND magicDSRun.fault = 0

